<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.dao Class Hierarchy (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.dao Class Hierarchy (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/context/package-tree.html">Prev</a></li>
<li><a href="../../../../io/mosip/registration/dao/impl/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package io.mosip.registration.dao</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html" title="class in io.mosip.registration.dao"><span class="typeNameLink">SyncJobControlDAO.SyncJobInfo</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/AppAuthenticationDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">AppAuthenticationDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/AppAuthenticationDetails.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">AppAuthenticationDetails</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/AppAuthenticationDetails.AppAuthentication.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">AppAuthenticationDetails.AppAuthentication</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/AppRolePriorityDetails.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">AppRolePriorityDetails</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/AppRolePriorityDetails.AppRolePriority.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">AppRolePriorityDetails.AppRolePriority</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/AuditDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">AuditDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/AuditLogControlDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">AuditLogControlDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/DocumentCategoryDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">DocumentCategoryDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/DocumentTypeDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">DocumentTypeDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/GenderDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">GenderDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/GlobalParamDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">GlobalParamDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/GlobalParamName.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">GlobalParamName</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/LocationDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">LocationDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">MachineMappingDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">MasterSyncDao</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/PolicySyncDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">PolicySyncDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/PreRegistrationDataSyncDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">PreRegistrationDataSyncDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/RegistrationCenterDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">RegistrationCenterDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/RegistrationDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">RegistrationDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/RegPacketStatusDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">RegPacketStatusDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/ScreenAuthorizationDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">ScreenAuthorizationDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/ScreenAuthorizationDetails.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">ScreenAuthorizationDetails</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/ScreenAuthorizationDetails.ScreenAuthorization.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">ScreenAuthorizationDetails.ScreenAuthorization</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/SyncJobConfigDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">SyncJobConfigDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">SyncJobControlDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/SyncTransactionDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">SyncTransactionDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/TemplateDao.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">TemplateDao</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/UserDetailDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">UserDetailDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/UserOnboardDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">UserOnboardDAO</span></a></li>
<li type="circle">io.mosip.registration.dao.<a href="../../../../io/mosip/registration/dao/ValidDocumentDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">ValidDocumentDAO</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/context/package-tree.html">Prev</a></li>
<li><a href="../../../../io/mosip/registration/dao/impl/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
